import React from 'react';
import './button.scss'

import classnames from 'classnames'

const Button = ({className, children}) => {
    return (
        <button className={classnames('custom-button', className)}>
            {children}
        </button>
    );
};

export default Button;