import React, { Component } from 'react';
import './exchange-bar.scss'
import Input from '../Input'
import classnames from 'classnames'

class ExchangeBar extends Component {
    constructor(props) {
        super(props)
        this.state = {}
    }

    render() {
        const {onChange, exchangeNum} = this.props
        return (
            <div className="exchange-bar">
                <Input
                    placeholder={'请输入优惠码'}
                    onChange={onChange}
                    type={'number'}
                />
                <button className={classnames({
                    active: exchangeNum && exchangeNum.length > 0
                })}>兑换
                </button>
            </div>
        );
    }
}

export default ExchangeBar;